# Packmangroup: Multimedia
# Packmanpackagename: k3b
# Packman: Rainer Lay
# Packmandesc: You can find emovix also on packman. 
# Packmandesc_de: Inzwischen gibts auch emovix bei Packman.
# Packmandepends:  id3lib alsa libogg libvorbis cdrecord cdrdao mkisofs

%define _prefix /opt/kde3

Name:         k3b
URL:          http://k3b.sourceforge.net/
License:      GPL
Group:        Productivity/Multimedia/CD/Record
Summary:      A universal CD and DVD burning application
Summary(de):	Ein universelles CD und DVD Brennprogramm
Version:      0.11.24
Release:      1

Source0:        k3b-%{version}.tar.bz2
Source1:        k3b-i18n-0.11.tar.bz2
Patch0:		k3b.diff
#Vendor:         suse
#Distribution:   SuSE Linux 9.2 (i586)
#Packager:	Rainer <rainer@links2linux.de>
Provides:     	koncd
BuildRoot:    	%{_tmppath}/buildroot-%{name}-%{version}
Requires:	cdrdao, cdrecord, mkisofs
BuildRequires: 	kdelibs3-devel
BuildRequires: 	mad-devel, update-desktop-files
BuildRequires:	id3lib-devel
BuildRequires:	flac-devel
BuildRequires:	jack-devel
Autoreqprov: on

Requires:	flac 
Requires:	id3lib 
Requires:	libogg 
Requires:	libpng 
Requires:	libvorbis
Requires:	mad 

%define iversion 0.11
%description
K3b is a CD burning application that supports Ogg Vorbis, MP3
audiofiles, DVD burning, CDDB, and much more.


%description -l de
K3b ist ein CD Brennprogramm, das Ogg Vorbis, MP3 Audiodateien, DVDs, CDDB, und mehr unterstuetzt.

%prep
%setup -q 
%patch -p1
%setup -q -T -D -b 1
%if %suse_version >= 910
  . /etc/opt/kde3/common_options
  update_admin
  cd ../k3b-i18n-%iversion
  update_admin
%endif

%build
%if %suse_version >= 910
  . /etc/opt/kde3/common_options
%endif
#              --with-k3bsetup=no \
./configure $configkde \
  	    --with-resmgr --enable-libsuffix=64 
make %{?jobs:-j%jobs}
  
  cd ../k3b-i18n-%iversion
  ./configure $configkde
make %{?jobs:-j%jobs}

%install
  . /etc/opt/kde3/common_options
  rm -rf $RPM_BUILD_ROOT
  make DESTDIR=$RPM_BUILD_ROOT install
  
  cd ../k3b-i18n-%iversion
  make DESTDIR=$RPM_BUILD_ROOT install
  cd -
  
  mkdir -p $RPM_BUILD_ROOT/etc/opt/kde3/share/config/
  cat > $RPM_BUILD_ROOT/etc/opt/kde3/share/config/k3brc <<EOF
[General Options]
Show Document Header=true
check system config=false
config version=0.11.20
[External Programs]
cdrdao default=/usr/bin/cdrdao
cdrdao user parameters=
cdrecord default=/usr/bin/cdrecord
cdrecord user parameters=
dvd+rw-format default=/usr/bin/dvd+rw-format
dvd+rw-format user parameters=
mkisofs default=/usr/bin/mkisofs
mkisofs user parameters=
normalize=/usr/bin/normalize
normalize user parameters=
readcd default=/usr/bin/readcd
readcd user parameters=
sox default=/usr/bin/sox
sox user parameters=
growisofs default=/usr/bin/growisofs
growisofs user parameters=
eMovix default=/usr/share/emovix
eMovix user parameters=
EOF
  
%suse_update_desktop_file k3b DiscBurning
%find_lang %name


%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT 


%files -f %name.lang
%defattr(-,root,root)
%doc COPYING AUTHORS
%dir /etc/opt/kde3/share
%dir /etc/opt/kde3/share/config
%config /etc/opt/kde3/share/config/k3brc
/opt/kde3/bin/*
/opt/kde3/%_lib/libk3baudiometainforenamerplugin.*
/opt/kde3/%_lib/libk3bplugin.*
/opt/kde3/%_lib/libk3bproject.*
/opt/kde3/%_lib/libk3btools.*
/opt/kde3/%_lib/kde3/kcm_k3bsetup2.*
/opt/kde3/%_lib/kde3/libk3bexternalencoder.*
/opt/kde3/%_lib/kde3/libk3bflacdecoder.*
/opt/kde3/%_lib/kde3/libk3bmaddecoder.*
/opt/kde3/%_lib/kde3/libk3boggvorbisdecoder.*
/opt/kde3/%_lib/kde3/libk3boggvorbisencoder.*
/opt/kde3/%_lib/kde3/libk3bsoxencoder.*
/opt/kde3/%_lib/kde3/libk3bwavedecoder.*
/opt/kde3/%_lib/libk3bdevice.*
/opt/kde3/share/sounds
/opt/kde3/include/*
/opt/kde3/%_lib/libk3bcore.*
/opt/kde3/share/apps/konqueror
/opt/kde3/share/mimelnk
/opt/kde3/share/applnk
/opt/kde3/share/apps/k3b
/opt/kde3/share/icons/*
/opt/kde3/share/applications/kde/k3b.desktop

%changelog
* Sat May 14 2005 Joe Morris <joe_morris@ntm.org>
- updated to 0.11.24
* Fri Apr 01 2005 Joe Morris <joe_morris@ntm.org>
- updated to 0.11.23
* Thu Mar 17 2005 Joe Morris <joe_morris@ntm.org>
- updated to 0.11.22
* Fri Feb 04 2005 Joe Morris <joe_morris@ntm.org>
- updated to 0.11.20

* Wed Jan 26 2005 Joe Morris <joe_morris@ntm.org>
- updated to 0.11.19

* Tue Dec 21 2004 Joe Morris <joe_morris@ntm.org>
- readded suse patch

* Mon Sep 27 2004 Rainer Lay <rainer@links2linux.de> <0.11.17>-<0.pm.1>
- re-enabled k3bsetup2

* Wed Aug 11 2004 Rainer Lay <rainer@links2linux.de> <0.11.14>-<0.pm.0>
- changed to install-strip

* Tue Jul 20 2004 Rainer Lay <rainer@links2linux.de> <0.11.12>-<0.pm.1>
- added dvd+rw-format path to k3brc and other ext. programs

* Mon May 24 2004 Rainer Lay <rainer@links2linux.de> <0.11.10>
- new packman version from suse 0.11.7

* Tue Mar 30 2004 - adrian@suse.de
- make k3b a KUniqueApplication (#37545)
* Sun Mar 21 2004 - adrian@suse.de
- update to version 0.11.7
  * cdrdao can be used with IDE devices now
  * crash fixes
- disable kcm module
- remove obsolete patches
- suppress confusing warning on startup
  (our system is always perfect;)
* Mon Mar 15 2004 - adrian@suse.de
- enforce cdrdao use and suppress wrong problem popup
- update translations to 0.11
* Mon Mar 01 2004 - adrian@suse.de
- update to version 0.11.6
* Mon Feb 23 2004 - adrian@suse.de
- update to version 0.11.5
  * crash fixes
* Sat Feb 21 2004 - adrian@suse.de
- update to version 0.11.4
- mark k3bsetup2 menu entry as unimportant
* Tue Feb 17 2004 - adrian@suse.de
- update to version 0.11.3
* Tue Feb 10 2004 - adrian@suse.de
- update to version 0.11.2
* Tue Feb 03 2004 - adrian@suse.de
- fix build for 9.0
* Mon Jan 26 2004 - ro@suse.de
- try to fix build by adding a makefile-dependency
* Fri Jan 23 2004 - adrian@suse.de
- update to version 0.11
* Fri Dec 05 2003 - adrian@suse.de
- update to version 0.10.3
* Thu Nov 06 2003 - adrian@suse.de
- update to version 0.10.2
* Tue Oct 28 2003 - adrian@suse.de
- update to version 0.10.1
- most patches are obsolete
* Mon Oct 20 2003 - adrian@suse.de
- update to version 0.10
* Tue Oct 07 2003 - adrian@suse.de
- fix file conflicts with kdelibs from KDE 3.2
* Tue Oct 07 2003 - ro@suse.de
- fix build with current includes (SCSI_BLK_MAJOR not defined)
* Mon Sep 29 2003 - adrian@suse.de
- add needed packages for mp3 support to neededforbuild
* Tue Sep 23 2003 - adrian@suse.de
- update hugarian translations (from Marcel Hilzinger)
* Thu Sep 18 2003 - adrian@suse.de
- fixes from Sebastian
  * fix for DVD-R detection
  * fix for multisession handling with dvds
  * new welcome screen
  * qt 3.2 fix for parsing of growisofs output
* Tue Sep 16 2003 - adrian@suse.de
- accept cdrdao 1.1.7-suse as full enabled
- make it a KUniqueApplication to prevent multiple startup
* Mon Sep 15 2003 - uli@suse.de
- do not define __u64, fixes build on k3bdevicemanager.cpp, fixes
  build on 64-bit archs
* Tue Sep 09 2003 - coolo@suse.de
- install INSTALL too as it got some more docu (even though only
  on the way how to compile it, but as the README refers to it,
  it's confusing testers when it's not there [#29866])
* Tue Sep 09 2003 - adrian@suse.de
- add hungarian translation from Peter Varkoly
* Tue Sep 02 2003 - adrian@suse.de
- fix file list
* Mon Sep 01 2003 - adrian@suse.de
- update to current cvs
  * fixes segfault during reading from ATAPI cdrom
* Mon Sep 01 2003 - adrian@suse.de
- accept also cdrdao 1.1.7-suse for read from IDE
* Mon Sep 01 2003 - adrian@suse.de
- accept also cdrdao 1.1.7-suse
* Mon Aug 25 2003 - adrian@suse.de
- update to recent k3b snapshot (pre 0.10)
* Mon Aug 04 2003 - adrian@suse.de
- drop k3bsetup menu entry
* Fri Aug 01 2003 - adrian@suse.de
- fix desktop entry
* Mon Jul 28 2003 - adrian@suse.de
- add %%run_ldconfig
* Mon Jul 28 2003 - adrian@suse.de
- add Categories
* Thu Jul 17 2003 - adrian@suse.de
- update to version 0.9
  * all patches are included
* Sun Jun 15 2003 - coolo@suse.de
- list COPYING only once
- create directory before creating link
* Thu Jun 12 2003 - coolo@suse.de
- use %%find_lang
* Thu Mar 13 2003 - adrian@suse.de
- fix handling of .iso files, use k3b --isoimage (#25270)
* Wed Mar 12 2003 - adrian@suse.de
- fix call of k3bsetup (do not complain about missing kdesu) #25183
* Fri Mar 07 2003 - adrian@suse.de
- do not run k3bsetup as root
- add hungarian translations
- add default cdrdao config
* Tue Mar 04 2003 - adrian@suse.de
- add Provides: koncd
* Sat Mar 01 2003 - adrian@suse.de
- update to version 0.8.1
  * fixes several crashes
- use resmgr to get access to drives
  (a root password is not needed anymore :)
* Thu Feb 20 2003 - adrian@suse.de
- add missing docu
* Mon Feb 10 2003 - adrian@suse.de
- update to version 0.8
- add translations tar ball
* Fri Jan 10 2003 - adrian@suse.de
- update to version 0.7.5
- disabling patches, we get hopefully the new cdrecord :)
* Tue Sep 03 2002 - coolo@suse.de
- make it work as user
* Fri Aug 02 2002 - coolo@suse.de
- moving k3b into the Utilities submenu in the KDE menu
- adding hungarian translation
* Wed Jul 31 2002 - adrian@suse.de
- add suse-customized.diff
  * disable several k3bsetup tasks and do only set cdrecord to
  setuid root. This is enough, has less security problems and
  works also for YP users
  * do not show k3bplayer by default
* Thu Jul 11 2002 - adrian@suse.de
- add german translation from cvs
* Sun Jun 09 2002 - adrian@suse.de
- fix build for x86_64
* Thu Jun 06 2002 - coolo@suse.de
- fix for libvorbis support
* Wed May 29 2002 - adrian@suse.de
- initial package of version 0.7
